Bug 984496 - STIG guidance brings OpenSCAP to its knees on ppc64
STIG guidance brings OpenSCAP to its knees on ppc64
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openscap (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Vrabec
Eduard Benes
:
Depends On:
Blocks: 871120
  Show dependency treegraph
 
Reported: 2013-07-15 07:39 EDT by Šimon Lukašík
Modified: 2014-03-09 13:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: openscap-0.9.10-1.el5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-09 13:48:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Šimon Lukašík 2013-07-15 07:39:08 EDT
Description of problem:
Evaluation of STIG benchmark on PPC64 segfaults.

Version-Release number of selected component (if applicable):
openscap-0.9.10-1.el5

How reproducible:
Deterministic

Steps to Reproduce:
1. Acquire STIG Guidance on PPC64
2. oscap xccdf eval --profile MAC-1_Public \
     --results stig-xccdf-results.xml \
     --oval-results stig/U_RedHat_5_V1R0.6_STIG_Benchmark-xccdf.xml
3.

Actual results:
Segfault

Expected results:


Additional info:
Comment 1 Šimon Lukašík 2013-07-15 07:39:41 EDT
#0  0xf7df5eb0 in raise () from /lib/power6x/libc.so.6
No symbol table info available.
#1  0xf7df7bd4 in abort () from /lib/power6x/libc.so.6
No symbol table info available.
#2  0x0ff176e0 in SEXP_atomic_unlock (ptr=0x10806a98) at sexp-atomic.c:127
No locals.
#3  SEXP_atomic_dec_u32 (ptr=0x10806a98) at sexp-atomic.c:180
        r = 268004276
#4  0x0ff13d58 in SEXP_rawval_decref (valp=<value optimized out>) at sexp-value.c:90
No locals.
#5  0x0ff17ad4 in SEXP_free_r (s_exp=0x10800a00) at sexp-manip_r.c:423
        v_dsc = {ptr = 276851353, hdr = 0x10806a98, mem = 0x10806aa0, type = 1 '\001'}
#6  0x0ff094d0 in SEXP_free (s_exp=0x10800a00) at sexp-manip.c:1876
No locals.
#7  0x0fefc8fc in probe_ncache_free (cache=0x106db840) at probes/probe/ncache.c:106
        i = 1
#8  0x0fef5c0c in ncache_libfree () at oval_probe_session.c:66
No locals.
#9  0xf7df979c in exit () from /lib/power6x/libc.so.6
No symbol table info available.
#10 0xf7ddde90 in generic_start_main () from /lib/power6x/libc.so.6
No symbol table info available.
#11 0xf7dde0d0 in __libc_start_main () from /lib/power6x/libc.so.6
No symbol table info available.
#12 0x00000000 in ?? ()
Comment 5 Šimon Lukašík 2013-09-12 10:06:23 EDT
Removing bug 1007428 from the blocker list.

It got assigned unintentionally during the clone process.
Comment 7 RHEL Product and Program Management 2014-03-07 07:18:03 EST
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.
Comment 8 Šimon Lukašík 2014-03-09 13:48:39 EDT
This is fixed in upcoming rhel-5.10.z erratum. (Even though this bug was
not explicitly approved as a part of the said erratum).

Note You need to log in before you can comment on or make changes to this bug.